%global __provides_exclude_from ^%{_libdir}/gedit/plugins/

Summary:        Plugins for gedit
Name:           gedit-plugins
Version:        42.1
Release:        4%{?dist}
License:        GPLv2+
URL:            https://wiki.gnome.org/Apps/Gedit
Source0:        https://download.gnome.org/sources/%{name}/42/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gettext itstool libappstream-glib-devel python3-devel vala
BuildRequires:  yelp-tools pkgconfig(gedit) pkgconfig(libpeas-1.0)
Requires:       gedit-plugin-bookmarks gedit-plugin-bracketcompletion gedit-plugin-codecomment
Requires:       gedit-plugin-colorpicker gedit-plugin-colorschemer gedit-plugin-commander
Requires:       gedit-plugin-drawspaces gedit-plugin-findinfiles gedit-plugin-joinlines
Requires:       gedit-plugin-multiedit gedit-plugin-sessionsaver gedit-plugin-smartspaces
Requires:       gedit-plugin-synctex gedit-plugin-terminal gedit-plugin-textsize
Requires:       gedit-plugin-translate gedit-plugin-wordcompletion

%description
This package implements a collection of plugins for gedit.

%package data
Summary:        Common data required by plugins
Requires:       gedit
Requires:       python3-gobject
%description data
This package provides common files required by all plugins.

%package -n     gedit-plugin-bookmarks
Summary:        gedit bookmarks plugin
Requires:       %{name}-data = %{version}-%{release}
%description -n gedit-plugin-bookmarks
This package provides the gedit bookmarks plugin.

%package -n     gedit-plugin-bracketcompletion
Summary:        gedit bracketcompletion plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-bracketcompletion
This package provides the gedit bracketcompletion plugin.

%package -n     gedit-plugin-codecomment
Summary:        gedit codecomment plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-codecomment
This package provides the gedit codecomment plugin.

%package -n     gedit-plugin-colorpicker
Summary:        gedit colorpicker plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-colorpicker
This package provides the gedit colorpicker plugin.

%package -n     gedit-plugin-colorschemer
Summary:        gedit colorschemer plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-colorschemer
This package provides the gedit colorschemer plugin.

%package -n     gedit-plugin-commander
Summary:        gedit commander plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-commander
This package provides the gedit commander plugin.

%package -n     gedit-plugin-drawspaces
Summary:        gedit drawspaces plugin
Requires:       %{name}-data = %{version}-%{release}
%description -n gedit-plugin-drawspaces
This package provides the gedit drawspaces plugin.

%package -n     gedit-plugin-findinfiles
Summary:        gedit findinfiles plugin
Requires:       %{name}-data = %{version}-%{release}
%description -n gedit-plugin-findinfiles
This package provides the gedit findinfiles plugin.

%package -n     gedit-plugin-joinlines
Summary:        gedit joinlines plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-joinlines
This package provides the gedit joinlines plugin.

%package -n     gedit-plugin-multiedit
Summary:        gedit multiedit plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-multiedit
This package provides the gedit multiedit plugin.

%package -n     gedit-plugin-sessionsaver
Summary:        gedit sessionsaver plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-sessionsaver
This package provides the gedit sessionsaver plugin.

%package -n     gedit-plugin-smartspaces
Summary:        gedit smartspaces plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-smartspaces
This package provides the gedit smartspaces plugin.

%package -n     gedit-plugin-synctex
Summary:        gedit synctex plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-synctex
This package provides the gedit synctex plugin.

%package -n     gedit-plugin-terminal
Summary:        gedit terminal plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
Requires:       vte291
%description -n gedit-plugin-terminal
This package provides the gedit terminal plugin.

%package -n     gedit-plugin-textsize
Summary:        gedit textsize plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-textsize
This package provides the gedit textsize plugin.

%package -n     gedit-plugin-translate
Summary:        gedit translate plugin
Requires:       %{name}-data = %{version}-%{release}
Requires:       libpeas-loader-python3
%description -n gedit-plugin-translate
This package provides the gedit translate plugin.

%package -n     gedit-plugin-wordcompletion
Summary:        gedit wordcompletion plugin
Requires:       %{name}-data = %{version}-%{release}
%description -n gedit-plugin-wordcompletion
This package provides the gedit wordcompletion plugin.

%prep
%autosetup -p1

%build
%meson -Dplugin_charmap=false -Dplugin_git=false
%meson_build

%install
%meson_install
%py_byte_compile %{__python3} %{buildroot}%{_libdir}/gedit/plugins/

%find_lang %{name} --with-gnome
%find_lang gedit --with-gnome

%check
[ -f %{buildroot}%{_libdir}/gedit/plugins/terminal.py ]

# create metapackage, containing the empty file
%files

%files data -f %{name}.lang -f gedit.lang
%license COPYING
%doc README.md NEWS AUTHORS
%dir %{_libdir}/gedit/plugins/
%dir %{_libdir}/gedit/plugins/__pycache__/
%dir %{_datadir}/gedit/plugins/
%{_libdir}/gedit/plugins/gpdefs.*
%{_libdir}/gedit/plugins/__pycache__/gpdefs.*

%files -n gedit-plugin-bookmarks
%{_libdir}/gedit/plugins/bookmarks.plugin
%{_libdir}/gedit/plugins/libbookmarks.so
%{_metainfodir}/gedit-bookmarks.metainfo.xml

%files -n gedit-plugin-bracketcompletion
%{_libdir}/gedit/plugins/bracketcompletion.*
%{_libdir}/gedit/plugins/__pycache__/bracketcompletion.*
%{_metainfodir}/gedit-bracketcompletion.metainfo.xml

%files -n gedit-plugin-codecomment
%{_libdir}/gedit/plugins/codecomment.*
%{_libdir}/gedit/plugins/__pycache__/codecomment.*
%{_metainfodir}/gedit-codecomment.metainfo.xml

%files -n gedit-plugin-colorpicker
%{_libdir}/gedit/plugins/colorpicker.*
%{_libdir}/gedit/plugins/__pycache__/colorpicker.*
%{_metainfodir}/gedit-colorpicker.metainfo.xml

%files -n gedit-plugin-colorschemer
%{_libdir}/gedit/plugins/colorschemer
%{_libdir}/gedit/plugins/colorschemer.plugin
%{_metainfodir}/gedit-colorschemer.metainfo.xml
%{_datadir}/gedit/plugins/colorschemer/ui/schemer.ui

%files -n gedit-plugin-commander
%{_libdir}/gedit/plugins/commander
%{_libdir}/gedit/plugins/commander.plugin
%{_metainfodir}/gedit-commander.metainfo.xml
%{_datadir}/gedit/plugins/commander

%files -n gedit-plugin-drawspaces
%{_libdir}/gedit/plugins/drawspaces.plugin
%{_libdir}/gedit/plugins/libdrawspaces.so
%{_metainfodir}/gedit-drawspaces.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.drawspaces.gschema.xml

%files -n gedit-plugin-findinfiles
%{_libdir}/gedit/plugins/findinfiles.plugin
%{_libdir}/gedit/plugins/libfindinfiles.so
%{_metainfodir}/gedit-findinfiles.metainfo.xml

%files -n gedit-plugin-joinlines
%{_libdir}/gedit/plugins/joinlines.*
%{_libdir}/gedit/plugins/__pycache__/joinlines.*
%{_metainfodir}/gedit-joinlines.metainfo.xml

%files -n gedit-plugin-multiedit
%{_libdir}/gedit/plugins/multiedit
%{_libdir}/gedit/plugins/multiedit.plugin
%{_metainfodir}/gedit-multiedit.metainfo.xml

%files -n gedit-plugin-sessionsaver
%{_libdir}/gedit/plugins/sessionsaver
%{_libdir}/gedit/plugins/sessionsaver.plugin
%{_datadir}/gedit/plugins/sessionsaver

%files -n gedit-plugin-smartspaces
%{_libdir}/gedit/plugins/libsmartspaces.so
%{_libdir}/gedit/plugins/smartspaces.plugin
%{_metainfodir}/gedit-smartspaces.metainfo.xml

%files -n gedit-plugin-synctex
%{_libdir}/gedit/plugins/synctex
%{_libdir}/gedit/plugins/synctex.plugin
%{_metainfodir}/gedit-synctex.metainfo.xml

%files -n gedit-plugin-terminal
%{_libdir}/gedit/plugins/__pycache__/terminal.*
%{_libdir}/gedit/plugins/terminal.*
%{_metainfodir}/gedit-terminal.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.terminal.gschema.xml

%files -n gedit-plugin-textsize
%{_libdir}/gedit/plugins/textsize
%{_libdir}/gedit/plugins/textsize.plugin
%{_metainfodir}/gedit-textsize.metainfo.xml

%files -n gedit-plugin-translate
%{_libdir}/gedit/plugins/translate/
%{_libdir}/gedit/plugins/translate.plugin
%{_metainfodir}/gedit-translate.metainfo.xml
%{_datadir}/gedit/plugins/translate/
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.translate.gschema.xml

%files -n gedit-plugin-wordcompletion
%{_libdir}/gedit/plugins/libwordcompletion.so
%{_libdir}/gedit/plugins/wordcompletion.plugin
%{_metainfodir}/gedit-wordcompletion.metainfo.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.wordcompletion.gschema.xml

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 42.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Wang Guodong <gordonwwang@tencent.com> - 42.1-1
- package init.
